import { defineConfig } from "@farmfe/core";
import vue from "@vitejs/plugin-vue";
import mkcert from "vite-plugin-mkcert";
import Http2Proxy from "@sy/vite-plugin-http2-proxy";

export default defineConfig({
  server: {
    // 本地开发时允许跨域访问该项目
    port: 10010,
    cors: true,
  },
  // @ts-ignore
  vitePlugins: [vue(), mkcert({ source: "coding" }), Http2Proxy()],
});
